# Deploy hook to load the seed each time the app is deployed.
namespace :plant do
  desc 'Load seeds from yaml files with plant'
  task :seed do
    on roles(:all) do
      within release_path do
        with rails_env: fetch(:rails_env) do
          execute :rake, 'plant:seed'
        end
      end
    end
  end
end

namespace :deploy do
  after :migrate, 'plant:seed'
end
